//
// Audio Overload
// Emulated music player
//
// (C) 2000-2007 Richard F. Bannister
//

//
// eng_protos.h
//

#ifndef ENG_PROTOS_H
#define ENG_PROTOS_H

#ifdef __cplusplus
extern "C" {
#endif

int32 qsf_start(char *path);
void  qsf_set_qsamples(char *pQSamples);
char *qsf_get_qsamples();
int32 qsf_gen(int16 *, uint32);
int32 qsf_stop(void);
int32 qsf_command(int32, int32);
int32 qsf_fill_info(ao_display_info *);

uint8 qsf_memory_read(uint16 addr);
uint8 qsf_memory_readop(uint16 addr);
uint8 qsf_memory_readport(uint16 addr);
void qsf_memory_write(uint16 addr, uint8 byte);
void qsf_memory_writeport(uint16 addr, uint8 byte);

#ifdef __cplusplus
}
#endif

#endif
