
#ifndef MUTEX_H
#define MUTEX_H

#define MUTEX_MAXWAIT		(~(unsigned int)0)
#define MUTEX_TIMEDOUT		1

typedef struct semaphore_t {
	int	semid;
} semaphore;

typedef struct mutex_t {
	int recursive;
	unsigned int owner;
	semaphore *sem;
} mutex;

mutex *create_mutex(void);
void destroy_mutex(mutex *mutex);
int mutexp(mutex *mutex);
int mutexv(mutex *mutex);

#endif
